X2Go dev team | 3 Jan 16:08 2013

x2gothinclient.git - master (branch) updated: 1.0.1.8-68-g719d561

The branch, master has been updated
       via  719d5615fb68c4a7480364e429687d844578199f (commit)
      from  df05dba7a9a5f3b183a88af780c25fb6030c0f58 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 719d5615fb68c4a7480364e429687d844578199f
Author: Mike Gabriel <mike.gabriel <at> das-netzwerkteam.de>
Date:   Thu Jan 3 16:09:04 2013 +0100

    x2gothinclient_create: syntax fix, spotted by Thomas Güttler (Fixes: #95).

-----------------------------------------------------------------------

Summary of changes:
 debian/changelog                                   |    1 +
 .../sbin/x2gothinclient_create                     |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

The diff of changes is:
diff --git a/debian/changelog b/debian/changelog
index c9ad056..1771cdd 100644
--- a/debian/changelog
+++ b/debian/changelog
 <at>  <at>  -52,6 +52,7  <at>  <at>  x2gothinclient (1.0.99.1-0~x2go1) UNRELEASED; urgency=low
     - x2gothinclient_create: replace /home by /var/lib/x2gothinclient in
       /etc/fstab template.
     - x2gothinclient_update: make sure config target folders exist.
+    - x2gothinclient_create: syntax fix, spotted by Thomas Güttler (Fixes: #95).
   * /debian/control:
     + Maintainer change in package: X2Go Developers <x2go-dev <at> lists.berlios.de>.
     + Priority: optional.
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_create b/x2gothinclientmanagement/sbin/x2gothinclient_create
index 647a65e..75edd56 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_create
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_create
 <at>  <at>  -175,7 +175,7  <at>  <at>  export X2GO_HANDLE_DAEMONS=false
 [ \$? -eq 0 ] && sed -e 's/BOOT=local/BOOT=nfs/' -i /etc/initramfs-tools/initramfs.conf

 [ \$? -eq 0 ] && rm -f /etc/udev/rules.d/*-persistent-*.rules
-[ \$? -eq 0 ] && if getent passwd x2gothinclient 1>/dev/null; adduser --system --disabled-password
--disabled-login --shell /bin/bash --group --home /var/lib/x2gothinclient x2gothinclient; fi
+[ \$? -eq 0 ] && if getent passwd x2gothinclient 1>/dev/null; then adduser --system --disabled-password
--disabled-login --shell /bin/bash --group --home /var/lib/x2gothinclient x2gothinclient; fi
 [ \$? -eq 0 ] && adduser x2gothinclient audio
 [ \$? -eq 0 ] && adduser x2gothinclient pulse
 [ \$? -eq 0 ] && adduser pulse audio

hooks/post-receive
--

-- 
x2gothinclient.git (X2Go Thin Client Environment)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2gothinclient.git" (X2Go Thin Client Environment).

_______________________________________________
X2go-commits mailing list
X2go-commits <at> lists.berlios.de
https://lists.berlios.de/mailman/listinfo/x2go-commits

Gmane